using TSC2.Components.CSharp;

namespace TSC2.Components;

public class MapDriver
{
    public static List<Tuple<double[], string, string>> InitializeMarkers()
    {
        // Initialization
        List<Tuple<double[], string, string>> results = [];

        // Read list of addresses and names from DB
        List<Tuple<double[], string, string>> db = DatabaseManager.LoadAllShops();
        foreach (var entry in db)
        {
            Tuple<double[], string, string> info = new Tuple<double[], string, string>(entry.Item1, entry.Item2, entry.Item3);
            results.Add(info);
        }
        return results;
    }



    public static double[] GetCoordinates(string shopName, string CSZ)
    {
        // Use information provided to search for the place using an api

        // Parse the result and return coords
        return [];
    }
}